Bug 1826489 - Inconsistent experience between notification drawer and dashboard status
Summary: Inconsistent experience between notification drawer and dashboard status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: David Taylor
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-21 19:11 UTC by bpeterse
Modified: 2020-07-13 17:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: On cluster dashboard page, for the 'AlertManagerReceiversNotConfigured' Alert, display a 'Configure' link which goes to the Alertmanager configuration page. Reason: This is consistent with how the 'AlertManagerReceiversNotConfigured' Alert is displayed in the Notification Drawer, with a 'Configure' link. Prior to this fix the 'AlertManagerReceiversNotConfigured' Alert on the dashboard displayed a 'View Details' link which drilled down into the Alert Details page. Result: On the cluster dashboard page, one can click on the 'Configure' link next to 'AlertManagerReceiversNotConfigured' Alert to goto the Alertmanager Configuration page.
Clone Of:
Environment:
Last Closed: 2020-07-13 17:29:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5150 None closed Bug 1826489: Inconsistent experience between notification drawer and dashboard status 2020-07-07 02:04:40 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:30:10 UTC

Description bpeterse 2020-04-21 19:11:53 UTC
Original Issue: 
- https://issues.redhat.com/browse/CONSOLE-2162

Description of problem:

Looking at the initial experience in the console I get the AlertManagerReceiversNotConfigured alert firing. In the notification drawer I get a link to Configure Receivers, but if I look at the Status area in the dashboard im instead lead to View Details, taking me to the Alert page that doesn't lead me to the Configure Receivers page.

Wherever we have links/actions that go along with alerts in the notifications drawer, those same actions should be present in the Status section, and ideally on the full detail page for that Alert.

Comment 1 Andy Braren 2020-04-21 22:13:09 UTC
The Notification Drawer's behavior is much better and should be brought into the Status card's alert as well. Unfortunately "Configure receivers" is long enough to look a bit wonky with the current HTML/CSS. For a quick fix I'd propose using "Configure" instead, and maybe use that word in the Notification Drawer too since space is pretty tight there as well. I've added a visual/structural refresh to better support long action strings in the Status card to https://issues.redhat.com/browse/PD-48.

Comment 4 Yanping Zhang 2020-04-27 13:28:15 UTC
Checked on OCP 4.5 cluster with payload 4.5.0-0.nightly-2020-04-26-203839. 
In the notification drawer, for alert "AlertmanagerReceiversNotConfigured", there is a link "Configure", click on it, will go to alertmanagerconfig page;
On dashboard, in Status area, there is also "Configure" link for alert "Alerts are not configured to be sent to a notification system .....", click on the link, will go to alertmanagerconfig page, too.
The bug is fixed.

Comment 5 errata-xmlrpc 2020-07-13 17:29:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.